<template lang="pug">
  .sidebar.bg-white.fixed.w-100.mw5-l.vh-100-l.flex-l.flex-column-l.justify-between-l
    .sidebar__top
      .flex.justify-between.items-center.pa3
        h2.b.f4.flex-auto.tc
          nuxt-link.require-exact.black(to="/") 住民服務台
        b-button.db.dn-l(type="is-text" icon-right="bars" @click="toggleMenu")
      .mt2.mt3-l.db-l(:class="{dn: !isOpened}")
        nuxt-link.sidebar__header.require-exact.b.sidebar__item(to="/") 概覽
        .sidebar__header.b 通報
        nuxt-link.sidebar__item(to="/list/undone") 未結案
        nuxt-link.sidebar__item(to="/list/all") 所有案件
        .sidebar__header.b.mt3 訊息
        nuxt-link.sidebar__item(to="/chat/unread") 未讀訊息
        nuxt-link.sidebar__item(to="/chat/all") 所有訊息
        .sidebar__header.b.mt3 設定
        nuxt-link.sidebar__item(to="/setting/sync") 資料同步
    .sidebar__bottom.db-l(:class="{dn: !isOpened}")
      .sidebar__item.pointer(@click="logout") 登出
</template>
<script>
export default {
  data () {
    return {
      isOpened: false
    }
  },
  methods: {
    toggleMenu () {
      this.isOpened = !this.isOpened
    },
    logout () {
      this.$auth.logout()
    }
  }
}
</script>
<style lang="scss" scoped>
.sidebar {
  &__header {
    padding-left: 1rem;

    &.sidebar__item {
      font-size: 1rem;
      padding-left: 1rem;
    }
  }
  &__item {
    display: block;
    font-size: 0.8rem;
    line-height: 1.5;
    color: #333;
    margin: 0.5rem 0;
    width: calc(100% - 2rem);
    border-radius: 0 5rem 5rem 0;
    padding: 0.5rem;
    padding-left: 2rem;
    outline: none;

    &:hover {
      background: #f4f4f4;
    }

    &.nuxt-link-active,
    &.nuxt-link-exact-active {
      background: #eee;
    }

    &.require-exact {
      &.nuxt-link-active {
        background: transparent;
      }
      &.nuxt-link-exact-active {
        background: #eee;
      }
    }
  }
}
</style>
